Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5401 - mkbootdisk-1.2-2 and -3 fail to make bootable disk
Summary: mkbootdisk-1.2-2 and -3 fail to make bootable disk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-27 18:08 UTC by Christopher Johnson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 06:20:09 UTC


Attachments (Terms of Use)

Description Christopher Johnson 1999-09-27 18:08:55 UTC
The script uses devices specified with the following syntax:
device=/dev/fd0
       (ex: `basename $0` --device /dev/fd1 2.0.31)

But copies them as follows:
mkdir $MOUNTDIR/dev
cp -Pa $device $MOUNTDIR/dev
cp -Pa $rootdev $MOUNTDIR/dev

Resulting in fd0 and root device such as sda being one level
below where they belong.  e.g. $MOUNTDIR/dev/dev/fd0
This causes lilo running chrooted there to fail with a 'file
or directory not found' error.

Since this problem exists in base and updated RH 6.0 there
must be a lot of folks with floppies that won't boot when
they need them to.

The script can be fixed by replacing the above two copy
statements with the following:

cp -Pa $device $MOUNTDIR
cp -Pa $rootdev $MOUNTDIR

Comment 1 Christopher Johnson 1999-10-07 16:19:59 UTC
Fixed in mkbootdisk-1.2.2-1 in RH 6.1

Comment 2 Matt Wilson 2000-02-09 06:20:59 UTC
Fixed in latest release.


Note You need to log in before you can comment on or make changes to this bug.